package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class MapPaketPenjaminToProduk
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "MapPaketPenjaminToProduk_M")
public class MapPaketPenjaminToProdukVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectGolonganAsuransiFk")
	@NotNull(message="Object Golongan Asuransi Harus Diisi")
	@Caption(value="Object Golongan Asuransi")
	private GolonganAsuransiVO kdGolonganAsuransi;

	public void setGolonganAsuransi(GolonganAsuransiVO kdGolonganAsuransi) {
		this.kdGolonganAsuransi = kdGolonganAsuransi;
	}

	@Column(name = "KdGolonganAsuransi", nullable = false )
	public GolonganAsuransiVO getGolonganAsuransi(){
		return this.kdGolonganAsuransi;
	}

	@Column(name = "ObjectGolonganAsuransiFk", insertable=false,updatable=false)
	private Integer golonganAsuransiId;

	@ManyToOne
	@JoinColumn(name = "ObjectHubunganPesertaFk")
	@NotNull(message="Object Hubungan Peserta Harus Diisi")
	@Caption(value="Object Hubungan Peserta")
	private HubunganPesertaAsuransiVO hubunganPeserta;

	public void setHubunganPeserta(HubunganPesertaAsuransiVO hubunganPeserta) {
		this.hubunganPeserta = hubunganPeserta;
	}

	@Column(name = "KdHubunganPeserta", nullable = false )
	public HubunganPesertaAsuransiVO getHubunganPeserta(){
		return this.hubunganPeserta;
	}

	@Column(name = "ObjectHubunganPesertaFk", insertable=false,updatable=false)
	private Integer hubunganPesertaId;

	@ManyToOne
	@JoinColumn(name = "ObjectKelompokPasienFk")
	@NotNull(message="Object Kelompok PasienVO Harus Diisi")
	@Caption(value="Object Kelompok Pasien")
	private KelompokPasienVO kelompokPasien;

	public void setKelompokPasien(KelompokPasienVO kelompokPasien) {
		this.kelompokPasien = kelompokPasien;
	}

	@Column(name = "KdKelompokPasien", nullable = false )
	public KelompokPasienVO getKelompokPasien(){
		return this.kelompokPasien;
	}

	@Column(name = "ObjectKelompokPasienFk", insertable=false,updatable=false)
	private Integer kelompokPasienId;

	@ManyToOne
	@JoinColumn(name = "ObjectPaketFk")
	@NotNull(message="Object PaketVO Harus Diisi")
	@Caption(value="Object Paket")
	private PaketVO paket;

	public void setPaket(PaketVO paket) {
		this.paket = paket;
	}

	@Column(name = "KdPaket", nullable = false )
	public PaketVO getPaket(){
		return this.paket;
	}

	@Column(name = "ObjectPaketFk", insertable=false,updatable=false)
	private Integer paketId;

	@Caption(value="Kode Penjamin Pasien")
	private short kdPenjaminPasien;

	public void setKdPenjaminPasien(short kdPenjaminPasien) {
		this.kdPenjaminPasien = kdPenjaminPasien;
	}

	@Column(name = "KdPenjaminPasien", nullable = false )
	public short getKdPenjaminPasien(){
		return this.kdPenjaminPasien;
	}

	@ManyToOne
	@JoinColumn(name = "ObjectProdukFk")
	@NotNull(message="Object ProdukVO Harus Diisi")
	@Caption(value="Object Produk")
	private ProdukVO produk;

	public void setProduk(ProdukVO produk) {
		this.produk = produk;
	}

	@Column(name = "KdProduk", nullable = false , length = 6)
	public ProdukVO getProduk(){
		return this.produk;
	}

	@Column(name = "ObjectProdukFk", insertable=false,updatable=false)
	private Integer produkId;

	@Caption(value="Qty Max Produk")
	private short qtyMaxProduk;

	public void setqtyMaxProduk(short qtyMaxProduk) {
		this.qtyMaxProduk = qtyMaxProduk;
	}

	@Column(name = "QtyMaxProduk", nullable = true )
	public short getqtyMaxProduk(){
		return this.qtyMaxProduk;
	}


}

